## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# NodeSorter.hpp File Reference

Include dependency graph for NodeSorter.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

- #define XALAN_NODESORTER_HEADER_GUARD

## Typedefs

- typedef XalanVector<double> NumberVectorTypeDecl

## Functions

- XALAN_USES_MEMORY_MANAGER (NumberVectorTypeDecl) typedef XalanVector< XalanDOMString > StringVectorTypeDecl
- XALAN_USES_MEMORY_MANAGER (StringVectorTypeDecl) class XALAN_PLATFORM_IMPORT NodeSorter
    This class can sort vectors of nodes according to a select pattern. More...

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class MutableNodeRefList

## Define Documentation

#define XALAN_NODESORTER_HEADER_GUARD

Value:

## Typedef Documentation

typedef XalanVector< double > NumberVectorTypeDecl<double>

## Function Documentation

XALAN_USES_MEMORY_MANAGER ( | StringVectorTypeDecl )

| This class can sort vectors of nodes according to a select pattern.

XALAN_USES_MEMORY_MANAGER ( | NumberVectorTypeDecl )

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class MutableNodeRefList

Author:
  David N. Bertoni (david_n_bertoni@lotus.com)

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.